'This program uses the concept of converting a string into 
'an array of chracters

'Specifically it allows a user to enter his or her name 
'either just a first name or a first and last name and 
'then spells out the name using sign-language images 

Imports System.io

Public Class FrmSignLanguage
    Dim picLetter As PictureBox()
    Dim MyLocation As String


    
    Private Sub btnEnter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnter.Click
        Dim TheName As String           'user's name 
        Dim i As Integer                'Loop counter
        Dim Letter As Char()            'array of letters
        Dim SpaceLocation As Integer    'location of space between first and last name


        TheName = txtName.Text.Trim.ToLower
        If TheName = "" Then
            MsgBox("Please enter your name.")
            Exit Sub
        End If
        'MsgBox(TheName.Length)

        'convert string to array of characters
        Letter = TheName.ToCharArray


        SpaceLocation = TheName.IndexOf(" ")
        'MsgBox(SpaceLocation)
        'use IndexOf to find location of the space

        'instatiate array of pictureboxes
        picLetter = New PictureBox(Letter.Length - 1) {}


        Dim Row As Integer = 0          'vertical postion 0 or 1 row
        Dim Column As Integer = 0       'horizontal position 

        'loop through letters
        For i = 0 To Letter.Length - 1
            'MsgBox("*" & Letter(i) & "*")

            'instantiate individual Picture, add to panel, 
            'give width and height
            picLetter(i) = New PictureBox
            panName.Controls.Add(picLetter(i))
            picLetter(i).Width = 72
            picLetter(i).Height = 72

            If i = SpaceLocation Then
                'when reach end of first name 
                'move to new row and back to beginning of line
                Row += 1
                Column = 0
            Else
                picLetter(i).Location = New Point(10 + 76 * Column, 10 + 76 * Row)
                picLetter(i).Image = Image.FromFile(MyLocation & "\sign" & Letter(i) & ".gif")
                Column += 1
            End If

        Next

    End Sub

    'assign to the MyLocation variable the path of the executable 
    Private Sub FrmSignLanguage_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MyLocation = Directory.GetCurrentDirectory
    End Sub
End Class
